#define PTR_INCR(x) x = (x == &key_fifo[KEY_FIFO_DEPTH-1] ? key_fifo : x +1)
#define FIFO_FULL(rp,wp) ((rp + KEY_FIFO_DEPTH - wp) % KEY_FIFO_DEPTH == 1)

#define INCA_IRQ_LINE_KEYER    0x00000040  /* KEYER */
#define INCA_IRQ_NR    		 6

#if 0
/* This is the old unsafe version */
#define KEYPAD_INTERRUPTS_ENABLE()  *((volatile unsigned long*) \
				INCA_IP_ICU_IM2_IER) |= INCA_IRQ_LINE_KEYER;
#define KEYPAD_INTERRUPTS_DISABLE() *((volatile unsigned long*) \
				INCA_IP_ICU_IM2_IER) &= ~INCA_IRQ_LINE_KEYER;
#define KEYPAD_INTERRUPTS_CLEAR()   *((volatile unsigned long*) \
				INCA_IP_ICU_IM2_ISR) = INCA_IRQ_LINE_KEYER;
#else
#define KEYPAD_INTERRUPTS_ENABLE()  set_bit(INCA_IRQ_NR,INCA_IP_ICU_IM2_IER)
#define KEYPAD_INTERRUPTS_DISABLE() clear_bit(INCA_IRQ_NR,INCA_IP_ICU_IM2_IER)
#define KEYPAD_INTERRUPTS_CLEAR()   set_bit(INCA_IRQ_NR,INCA_IP_ICU_IM2_ISR)
#endif

static void inca_keypad_isr(int irq, void *dev_id, struct pt_regs *regs);

static int 	inca_keypad_open	(struct inode *inode, 
					 struct file *filp);
static int 	inca_keypad_release	(struct inode *inode, 
					 struct file *filp);
static int 	inca_keypad_ioctl	(struct inode *inode, 
					 struct file *filp, 
					 unsigned int cmd, unsigned long arg);
static unsigned int inca_keypad_poll	(struct file *filp, poll_table *wait);

typedef struct {
	wait_queue_head_t 	waitq;
} keypad_dev_t;

