#!/bin/sh
module="keypad"
device="keypad"
mode="664"

# invoke insmod with all arguments we were passed
# and use a pathname, as newer modutils don't look in . by default
/sbin/insmod -f $module $* || exit 1

# remove stale nodes
rm -f /dev/$device
major=`awk "\\$2==\"$module\" {print \\$1}" /proc/devices`
mknod /dev/$device c $major 0

# give appropriate group/permissions, and change the group.
# Not all distributions have staff; some have "wheel" instead.
group="root"
#grep '^root:' /etc/group > /dev/null || group="wheel"
chgrp $group /dev/$device
chmod $mode /dev/$device
