#!/bin/sh
module="pwm"
device1="pwm_contrast"
device2="pwm_bright"
mode="664"

# invoke insmod with all arguments we were passed
# and use a pathname, as newer modutils don't look in . by default
#/sbin/insmod -f ./$module.o $* || exit 1
/sbin/insmod -f $module pwm1_name=$device1 pwm2_name=$device2 $* || exit 1

# remove stale nodes
rm -f /dev/$device1 /dev/$device2
major=`awk "\\$2==\"$module\" {print \\$1}" /proc/devices`
mknod /dev/$device1 c $major 0
mknod /dev/$device2 c $major 1

# give appropriate group/permissions, and change the group.
# Not all distributions have staff; some have "wheel" instead.
group="root"
#grep '^root:' /etc/group > /dev/null || group="wheel"
chgrp $group /dev/$device1 /dev/$device2
chmod $mode /dev/$device1 /dev/$device2
