#ifndef __INCA_SWITCH_ACTL_H__
#define __INCA_SWITCH_ACTL_H__

/* 
   CPU Access Control Register: write to MA table
   --> the MAC table index (hash value) has to be set by the user 
   # RA  = 1   request ack
   # RW  = 1   request write
   # AVA = 1   Access to MA table (0 --> access to VLAN)
*/
#define INCA_IP_Switch_CPU_ACTL_WR_MA_TABLE  ( INCA_IP_Switch_CPU_ACTL_RA | \
                                               INCA_IP_Switch_CPU_ACTL_RW | \
                                               INCA_IP_Switch_CPU_ACTL_AVA )
/* 
   CPU Access Control Register: read from MA table
   --> the MAC table index (hash value) has to be set by the user 
   # RA  = 1   request ack
   # AVA = 1   Access to MA table (0 --> access to VLAN)
   - RW  = 0   request read
*/
#define INCA_IP_Switch_CPU_ACTL_RD_MA_TABLE  ( INCA_IP_Switch_CPU_ACTL_RA | \
                                               INCA_IP_Switch_CPU_ACTL_AVA )

/* 
   CPU Access Control Register: write to VLAN table
   --> the VLAN table index has to be set by the user 
   # RA  = 1   request ack
   # RW  = 1   request write
   # AVA = 0   Access to VLAN table (1 --> access to MAC table)
*/
#define INCA_IP_Switch_CPU_ACTL_WR_VLAN_TABLE  ( INCA_IP_Switch_CPU_ACTL_RA | \
                                                 INCA_IP_Switch_CPU_ACTL_RW )
/* 
   CPU Access Control Register: read from VLAN table
   --> the VLAN table index has to be set by the user 
   # RA  = 1   request ack
   # AVA = 0   Access to VLAN table (1 --> access to MAC table)
   - RW  = 0   request read
*/
#define INCA_IP_Switch_CPU_ACTL_RD_VLAN_TABLE  ( INCA_IP_Switch_CPU_ACTL_RA )


/* END default settings: CPU_ACTL - access to the MAC switch module */
#endif /* __INCA_SWITCH_ACTL_H__ */
