/******************************************************************************
       Copyright (c) 2002, Infineon Technologies.  All rights reserved.

                               No Warranty
   Because the program is licensed free of charge, there is no warranty for 
   the program, to the extent permitted by applicable law.  Except when     
   otherwise stated in writing the copyright holders and/or other parties   
   provide the program "as is" without warranty of any kind, either         
   expressed or implied, including, but not limited to, the implied         
   warranties of merchantability and fitness for a particular purpose. The  
   entire risk as to the quality and performance of the program is with     
   you.  should the program prove defective, you assume the cost of all     
   necessary servicing, repair or correction.                               
                                                                            
   In no event unless required by applicable law or agreed to in writing    
   will any copyright holder, or any other party who may modify and/or      
   redistribute the program as permitted above, be liable to you for        
   damages, including any general, special, incidental or consequential     
   damages arising out of the use or inability to use the program           
   (including but not limited to loss of data or data being rendered        
   inaccurate or losses sustained by you or third parties or a failure of   
   the program to operate with any other programs), even if such holder or  
   other party has been advised of the possibility of such damages. 
 ******************************************************************************
   Module      : INCAIPSwitchHash.h
   Date        : 24.04.2003
   Description : provide fuctions to calculate the hash algorithm used within
                 the INCA-IP switch module to calculate hash table index for
                 a MAC address
   
   $Log: inca_switch_hash.h,v $
   Revision 1.1.1.1  2004-06-03 10:25:35  fischesv
   initial from infineon sdk 2.1

   Revision 1.1  2003/07/14 08:57:09  rjanse_a
   Initial revision of ported vxWorks switch driver (inca_switch_hash, inca_switch_access) and a simple control interface (inca_switch_api, api.sh)

   Revision 1.1  2003/04/25 19:14:20  mangele
   These HASH functions are used for calculate the MAC table index within the INCA-IP switch module
   They are used first time in the "IncaSwitchEnd.c" module version 1.17.


   
******************************************************************************/
#ifndef _INCASWITCHHASH_H
#define _INCASWITCHHASH_H

/*
   structure used for provide hash codes to modulate a MAC address
*/
typedef struct inca_ip_hash_codes
{
   UINT16   Code_0[3] ;
   UINT16   Code_1[3] ;
   UINT16   Code_2[3] ;
} IncaIpHashCodes ;


/* extern definitions of the hash functions */
extern void sw21553_IncaIpInitHashGenPoly(void) ;
extern UCHAR sw21553_IncaIpSwitchCalcHash(UINT modulateNum, UCHAR inMacAddr[6]) ;


#endif   /* #ifndef _INCASWITCHHASH_H */
