/******************************************************************************
       Copyright (c) 2004, snom technology AG  All rights reserved.

                               No Warranty
   Because the program is licensed free of charge, there is no warranty for 
   the program, to the extent permitted by applicable law.  Except when     
   otherwise stated in writing the copyright holders and/or other parties   
   provide the program "as is" without warranty of any kind, either         
   expressed or implied, including, but not limited to, the implied         
   warranties of merchantability and fitness for a particular purpose. The  
   entire risk as to the quality and performance of the program is with     
   you.  should the program prove defective, you assume the cost of all     
   necessary servicing, repair or correction.                               
                                                                            
   In no event unless required by applicable law or agreed to in writing    
   will any copyright holder, or any other party who may modify and/or      
   redistribute the program as permitted above, be liable to you for        
   damages, including any general, special, incidental or consequential     
   damages arising out of the use or inability to use the program           
   (including but not limited to loss of data or data being rendered        
   inaccurate or losses sustained by you or third parties or a failure of   
   the program to operate with any other programs), even if such holder or  
   other party has been advised of the possibility of such damages. 
 ******************************************************************************
   Module      : IncaipSwitchApi.h
   Date        : 17.11.2004
   Description : provide an API to read and configure the INCA-IP ethernet parts
                 like PHY's and switch module

   $Id: incaip_switch_api.h,v 1.2 2005-08-29 15:08:47 fischesv Exp $

   $Log: incaip_switch_api.h,v $
   Revision 1.2  2005-08-29 15:08:47  fischesv
   new ioctls INCA_SWITCH_IOC_GET_PROPERTIES and INCA_SWITCH_IOC_SET_PROPERTIES

   Revision 1.1  2004/11/18 16:29:13  fischesv
   added ethernet lan link detection as ioctl (INCA_SWITCH_IOC_LAN_LINK, /dev/inca-switch-lan) and proc filesystem entry (/proc/driver/inca_switch_lan)

   
******************************************************************************/
#ifndef _INCAIPSWITCHAPI_H
#define _INCAIPSWITCHAPI_H

#ifndef __KERNEL__
typedef unsigned int UINT32;
#endif

struct inca_switch_ioctl_parm {
    int value;
};

struct inca_switch_ioctl_properties {
    int link;
    int cmd;
    int phy;
    int auto_negotiation;
    int speed;
    int half_full;
    int valid;
    UINT32 properties;
};

#define INCA_SWITCH_IOC_MAGIC	0xcf
#define INCA_SWITCH_IOC_LAN_LINK	_IOW(INCA_SWITCH_IOC_MAGIC,0,struct inca_switch_ioctl_parm)
#define INCA_SWITCH_IOC_GET_PROPERTIES	_IOW(INCA_SWITCH_IOC_MAGIC,1,struct inca_switch_ioctl_properties)
#define INCA_SWITCH_IOC_SET_PROPERTIES	_IOW(INCA_SWITCH_IOC_MAGIC,2,struct inca_switch_ioctl_properties)

#endif      /* #ifndef _INCAIPSWITCHAPI_H */
