/******************************************************************************
       Copyright (c) 2002, Infineon Technologies.  All rights reserved.

                               No Warranty
   Because the program is licensed free of charge, there is no warranty for
   the program, to the extent permitted by applicable law.  Except when
   otherwise stated in writing the copyright holders and/or other parties
   provide the program "as is" without warranty of any kind, either
   expressed or implied, including, but not limited to, the implied
   warranties of merchantability and fitness for a particular purpose. The
   entire risk as to the quality and performance of the program is with
   you.  should the program prove defective, you assume the cost of all
   necessary servicing, repair or correction.

   In no event unless required by applicable law or agreed to in writing
   will any copyright holder, or any other party who may modify and/or
   redistribute the program as permitted above, be liable to you for
   damages, including any general, special, incidental or consequential
   damages arising out of the use or inability to use the program
   (including but not limited to loss of data or data being rendered
   inaccurate or losses sustained by you or third parties or a failure of
   the program to operate with any other programs), even if such holder or
   other party has been advised of the possibility of such damages.
 ******************************************************************************
   Module      : keypad.h
   Date        : 2003-08-08
   Description :
      Driver Module for the keypad hardware of INCA-IP
******************************************************************************/
#ifndef _inca_keypad_H
#define _inca_keypad_H

#ifdef __KERNEL__
typedef int (*keypad_callback_t) (char key, int updown, 
					unsigned long timestamp);

/* Function Prototypes */
extern int 	inca_key_register_callback	(keypad_callback_t fp);
extern int 	inca_key_unregister_callback	(void);
#endif

typedef struct {
	char 		key_code;
	int 		key_state;
	unsigned long 	time_stamp;
} key_event_t;

/* IOCTLs */
#define KEYPAD_GET	_IOR('G', 1, key_event_t)

/* other defines */
#define KEY_FIFO_DEPTH	32

#define KEY_RELEASED 	0
#define KEY_PRESSED	1


#endif /* _inca_keypad_H */
